<?php
/**
 * Block Patterns
 *
 * @since 1.0.0
 */

/**
 * Registers pattern categories for FSE Handyman
 *
 * @since 1.0.0
 *
 * @return void
 */
function fse_handyman_register_pattern_category() {
	$block_pattern_categories = array(
		'banner'      => array( 'label' => __( 'FSE Handyman Patterns', 'fse-handyman' ) ),
		'product'  => array( 'label' => __( 'Product', 'fse-handyman' ) ),
	);

	$block_pattern_categories = apply_filters( 'fse_handyman_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties ); // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_pattern_category
		}		
	}
}
add_action( 'init', 'fse_handyman_register_pattern_category', 9 );


